<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SourceFile.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.SourceFile</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../Synopsis.html" >Synopsis</a>.SourceFile

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="SourceFile/Include.html" >Include</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.SourceFile.Include" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SourceFile.py.html#line8" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Information about an include directive in a SourceFile.</div></div>
<div class="item"><div class="synopsis">class <a href="SourceFile/MacroCall.html" >MacroCall</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.SourceFile.MacroCall" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SourceFile.py.html#line27" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A class to support mapping from positions in a preprocessed file
    back to positions in the original file.</div></div>
<div class="item"><div class="synopsis">class <a href="SourceFile/SourceFile.html" >SourceFile</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.SourceFile.SourceFile" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SourceFile.py.html#line44" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">The information about a file that the ASG was generated from.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="SourceFile/Include.html" >Include</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.SourceFile.Include" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SourceFile.py.html#line8" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Information about an include directive in a SourceFile.
    If the include directive required a macro expansion to get the filename&#44;
    the is_macro will return true. If the include directive was actually an
    include_next&#44; then is_next will return true.
    </div></div>
<div class="item"><div class="synopsis">class <a href="SourceFile/MacroCall.html" >MacroCall</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.SourceFile.MacroCall" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SourceFile.py.html#line27" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">A class to support mapping from positions in a preprocessed file
    back to positions in the original file.</div></div>
<div class="item"><div class="synopsis">class <a href="SourceFile/SourceFile.html" >SourceFile</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.SourceFile.SourceFile" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/SourceFile.py.html#line44" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">The information about a file that the ASG was generated from.
    Contains filename&#44; all declarations from this file &#40;even nested ones&#41; and
    includes &#40;aka imports&#41; from this file.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:50 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
